Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPointSetToPointSetFilter Class Reference

`#include <vtkPointSetToPointSetFilter.h>`

Inheritance diagram for vtkPointSetToPointSetFilter:

[legend]
Collaboration diagram for vtkPointSetToPointSetFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:44

Revision:
  1.49

vtkPointSetToPointSetFilter is an abstract filter class whose subclasses take as input a point set and generates a point set on output. At a minimum, the concrete subclasses of vtkPointSetToPointSetFilter modify their point coordinates. They never modify their topological form, however.

This is an abstract filter type. What that means is that the output of the filter is an abstract type (i.e., vtkPointSet), no matter what the input of the filter is. This can cause problems connecting together filters due to the change in dataset type. (For example, in a series of filters processing vtkPolyData, when a vtkPointSetToPointSetFilter or subclass is introduced into the pipeline, if the filter downstream of it takes vtkPolyData as input, the pipeline connection cannot be made.) To get around this problem, use one of the convenience methods to return a concrete type (e.g., vtkGetPolyDataOutput(), GetStructuredGridOutput(), etc.).

See also:
  vtkTransformFilter vtkWarpScalar vtkWarpTo vtkWarpVector

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (54%)
  - Martin, Ken (26%)
  - Lorensen, Bill (7%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkPointSetToPointSetFilter.h)`
  - .`cxx` (`/Filtering/vtkPointSetToPointSetFilter.cxx)`

Definition at line 64 of file vtkPointSetToPointSetFilter.h.

## Public Types
typedef vtkPointSetSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkPointSet *input)
vtkPointSet * | GetInput ()
vtkPolyData * | GetPolyDataOutput ()
vtkStructuredGrid * | GetStructuredGridOutput ()
vtkUnstructuredGrid * | GetUnstructuredGridOutput ()
virtual void | ComputeInputUpdateExtents (vtkDataObject *output)
vtkPointSet * | GetOutput ()
vtkPointSet * | GetOutput (int idx)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPointSetToPointSetFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPointSetToPointSetFilter ()
| ~vtkPointSetToPointSetFilter ()

## Member Typedef Documentation

typedef vtkPointSetSource vtkPointSetToPointSetFilter::Superclass

| Reimplemented from vtkPointSetSource. Reimplemented in vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter. Definition at line 67 of file vtkPointSetToPointSetFilter.h.

## Constructor & Destructor Documentation

vtkPointSetToPointSetFilter::vtkPointSetToPointSetFilter | ( |  | ) | `[protected]`

vtkPointSetToPointSetFilter::~vtkPointSetToPointSetFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkPointSetToPointSetFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPointSetSource. Reimplemented in vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter.

int vtkPointSetToPointSetFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetSource. Reimplemented in vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter.

virtual int vtkPointSetToPointSetFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetSource. Reimplemented in vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter.

vtkPointSetToPointSetFilter* vtkPointSetToPointSetFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPointSetSource. Reimplemented in vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter.

void vtkPointSetToPointSetFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPointSetSource. Reimplemented in vtkTransformFilter, vtkWarpLens, vtkWarpScalar, vtkWarpTo, vtkWarpVector, and vtkWeightedTransformFilter.

void vtkPointSetToPointSetFilter::SetInput | ( | vtkPointSet * | input | ) |

| Specify the input data or filter.

vtkPointSet* vtkPointSetToPointSetFilter::GetInput | ( |  | ) |

| Get the input data or filter.

vtkPointSet* vtkPointSetToPointSetFilter::GetOutput | ( |  | ) |

| Get the output of this filter. If output is NULL, then input hasn't been set, which is necessary for abstract filter objects. Reimplemented from vtkPointSetSource.

vtkPointSet* vtkPointSetToPointSetFilter::GetOutput | ( | int | idx | ) | `[inline]`

| Get the output of this filter. If output is NULL, then input hasn't been set, which is necessary for abstract filter objects. Reimplemented from vtkPointSetSource. Definition at line 80 of file vtkPointSetToPointSetFilter.h. References vtkPointSetSource::GetOutput().

vtkPolyData* vtkPointSetToPointSetFilter::GetPolyDataOutput | ( |  | ) |

| Get the output as vtkPolyData. Performs run-time checking.

vtkStructuredGrid* vtkPointSetToPointSetFilter::GetStructuredGridOutput | ( |  | ) |

| Get the output as vtkStructuredGrid. Performs run-time checking.

vtkUnstructuredGrid* vtkPointSetToPointSetFilter::GetUnstructuredGridOutput | ( |  | ) |

| Get the output as vtkUnstructuredGrid. Performs run-time checking.

virtual void vtkPointSetToPointSetFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[virtual]`

| By default copy the output update extent to the input Reimplemented from vtkSource.

The documentation for this class was generated from the following file:

- Filtering/vtkPointSetToPointSetFilter.h